Skip to main content
POST
/
api
/
v1
/
accounts
/
{accountId}
/
projects
/
{projectId}
/
kubernetes
/
{clusterId}
/
apps
Install app on a cluster
curl --request POST \
  --url https://api.example.com/api/v1/accounts/{accountId}/projects/{projectId}/kubernetes/{clusterId}/apps \
  --header 'Content-Type: application/json' \
  --data '
{
  "app_name": "<string>",
  "app_version": "<string>",
  "user_config": "<string>"
}
'
{
  "installed_app": {
    "summary": {
      "base": {
        "app_id": "<string>",
        "cluster_id": "<string>",
        "marketplace_app": {
          "app_name": "<string>",
          "display_name": "<string>",
          "description": "<string>",
          "icon_url": "<string>",
          "documentation_url": "<string>"
        }
      },
      "status": "INSTALLED_APP_STATUS_UNSPECIFIED"
    },
    "revisions": [
      {
        "revision": "<string>",
        "app_version": "<string>",
        "status": "INSTALLED_APP_STATUS_UNSPECIFIED",
        "user_config": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "status_conditions": {
          "crds": [
            {
              "crd": "<string>",
              "reasons": [
                {
                  "reason": "<string>",
                  "status": "INSTALLED_APP_STATUS_UNSPECIFIED",
                  "last_updated": "2023-11-07T05:31:56Z",
                  "message": "<string>"
                }
              ]
            }
          ]
        }
      }
    ]
  }
}

Path Parameters

accountId
string
required
projectId
string
required
clusterId
string
required

Body

application/json
app_name
string
required
app_version
string
user_config
string

Response

OK

installed_app
object
required